import maya.cmds as cmds

selected_object = cmds.ls(sl=True)

if len(selected_object) == 1:
    locator_name = cmds.spaceLocator(p=[0, 0, 0])[0]
    selected_object_transform = cmds.xform(selected_object[0], q=True, ws=True, t=True)
    selected_object_rotation = cmds.xform(selected_object[0], q=True, ws=True, ro=True)
    cmds.move(selected_object_transform[0], selected_object_transform[1], selected_object_transform[2], locator_name, ws=True)
    cmds.xform(locator_name, ws=True, ro=selected_object_rotation)

    # Constrain the locator to the selected object
    constraint = cmds.parentConstraint(selected_object[0], locator_name, mo=False)

    # Bake the animation of the locator to the keyframes
    start_frame, end_frame = cmds.playbackOptions(q=True, min=True), cmds.playbackOptions(q=True, max=True)
    cmds.bakeResults(locator_name, t=(start_frame, end_frame), at=["tx", "ty", "tz", "rx", "ry", "rz"], simulation=True, hierarchy="none", shape=True)

    # Remove the constraint
    cmds.delete(constraint)
else:
    raise Exception("Please select exactly one object.")