import maya.cmds as cmds

selected_object = cmds.ls(sl=True)

if len(selected_object) == 1:
    locator_name = cmds.spaceLocator(p=[0, 0, 0])[0]
    selected_object_transform = cmds.xform(selected_object[0], q=True, ws=True, t=True)
    selected_object_rotation = cmds.xform(selected_object[0], q=True, ws=True, ro=True)
    cmds.move(selected_object_transform[0], selected_object_transform[1], selected_object_transform[2], locator_name, ws=True)
    cmds.xform(locator_name, ws=True, ro=selected_object_rotation)
else:
    raise Exception("Please select exactly one object.")